Bug 570859 - Please rebuild mcelog for 2.6.32.9-39.fc11
Summary: Please rebuild mcelog for 2.6.32.9-39.fc11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mcelog
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jon Masters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-05 17:16 UTC by Harald Reindl
Modified: 2010-03-23 23:30 UTC (History)
6 users (show)

Fixed In Version: mcelog-0.7-5.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-20 03:37:21 UTC
Type: ---


Attachments (Terms of Use)

Description Harald Reindl 2010-03-05 17:16:42 UTC
Kernel 2.6.32.9-39.fc11.x86_64 from updates-testing is running fine
But the hourly cronjob sends mail with

/etc/cron.hourly/mcelog.cron:
mcelog: warning: record length longer than expected. Consider update.

So "mcelog" should also be rebuilt for updates-testing

Comment 1 Fedora Update System 2010-03-16 10:46:36 UTC
mcelog-0.7-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mcelog-0.7-4.fc11

Comment 2 Fedora Update System 2010-03-16 23:16:58 UTC
mcelog-0.7-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mcelog'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mcelog-0.7-4.fc11

Comment 3 David Rees 2010-03-16 23:29:36 UTC
Seems to work for me - no more hourly emails.

Comment 4 Fedora Update System 2010-03-20 03:37:16 UTC
mcelog-0.7-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Richard Fearn 2010-03-20 12:41:14 UTC
I wasn't getting any problems with mcelog before, but having updated this morning to 0.7-4.fc11 I'm now getting the warning every hour:

mcelog: warning: 18446744073709551600 bytes ignored in each record
mcelog: consider an update

I'm running the latest F11 kernel: 2.6.30.10-105.2.23.fc11.x86_64.

Should I just wait until a 2.6.32 kernel is pushed to stable?

Comment 6 Harald Reindl 2010-03-20 12:47:13 UTC
Ouch 

I think the "mcelog" for 2.6.32 has the same problem with 2.6.30 as the old one with 2.6.32, not sure when 2.6.32 will pushed to stable for F11

Maybe the best solution would be a switch in the mcelog-package to look what kernel is running so it could work for both, but thats only a idea.

The current situation is not optimal - testers with 2.6.32 or "normal" users having the same problem depending on what packages are installed

Comment 7 Dominik 'Rathann' Mierzejewski 2010-03-20 18:23:32 UTC
(In reply to comment #5)
> I wasn't getting any problems with mcelog before, but having updated this
> morning to 0.7-4.fc11 I'm now getting the warning every hour:
> 
> mcelog: warning: 18446744073709551600 bytes ignored in each record
> mcelog: consider an update
> 
> I'm running the latest F11 kernel: 2.6.30.10-105.2.23.fc11.x86_64.

Same here. Why didn't you wait for the new kernel to hit stable, Jon?

Comment 8 Fedora Update System 2010-03-21 05:25:01 UTC
mcelog-0.7-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mcelog-0.7-5.fc11

Comment 9 Jon Masters 2010-03-22 07:55:28 UTC
I was ranted at by people running testing kernels who implied the .32 kernel had already been pushed to stable. I regret taking those comments at face value and have pushed another testing update as quickly as possible that attempts to work around the two different formats with a hack. It should do for F11.

But in general let me repeat my concerns with rebasing kernels on older Fedora releases, especially N-1. In my personal opinion, that should *never* be done. Today it's mcelog that annoys a few people, tomorrow it will be some other much more significant piece of software that glitches because we can't possibly test every dependency when rebasing the entire kernel release.

Jon.

Comment 10 Harald Reindl 2010-03-22 08:04:17 UTC
> I was ranted at by people running testing kernels who 
> implied the .32 kernel had already been pushed to stable.

Sorry that is NOT true
See my initial bugreport

>> Kernel 2.6.32.9-39.fc11.x86_64 from updates-testing

There is no single word from stable

Comment 11 Fedora Update System 2010-03-23 23:30:52 UTC
mcelog-0.7-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.